
Robotics Systems Commons - Bug #1226
Missing dependency on Boost.Chrono in CMake-generated Visual Studio project
11/04/2012 11:02 AM - V. Losing

Status: Resolved Start date: 11/04/2012
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7
Description

in all projects belonging to the RSB-Solution generated by cmake is the link to the boost_chrono.lib missing.
this is the message provided by the compiler.
  LINK : fatal error LNK1104: cannot open file 'boost_chrono-vc100-mt-gd-1_50.lib'

at the moment this lib has to be added manualy in the inputs of the linker.

Associated revisions
Revision f4e6ef89 - 11/14/2012 12:45 PM - J. Wienke

Fix compilation on windows with boost versions >= 1.50.

chrono is now a dependency of thread, which we use in RSC. Hence,
add chrono to the dependencies if boost version is >= 1.50.

refs #1226

Revision 5e6cf54a - 11/14/2012 12:54 PM - J. Wienke

Backport: Fix compilation on windows with boost versions >= 1.50.

chrono is now a dependency of thread, which we use in RSC. Hence,
add chrono to the dependencies if boost version is >= 1.50.

fixes #1226

Conflicts:
    CMakeLists.txt

History
#1 - 11/04/2012 12:31 PM - J. Wienke
- Assignee set to J. Wienke

What is your boost version?

Does this already happen with RSC alone or just in conjunction with RSB?

#2 - 11/05/2012 03:31 PM - J. Moringen
- Project changed from Robotics Systems Commons to Robotics Service Bus
- Subject changed from missing lib inputs for VSProject generated by cmake to Missing dependency on Boost.Chrono in CMake-generated Visual 
Studio project
- Category set to C++
- Target version set to rsb-0.7

#3 - 11/05/2012 03:36 PM - J. Wienke

I am not sure about the move to RSB. I suspect that RSC already uses some chrono code.

#4 - 11/05/2012 04:53 PM - J. Moringen

I was told, that the actual linker error happens when building project:rsb. I'm not sure who the culprit is.

#5 - 11/14/2012 12:42 PM - J. Wienke
- Project changed from Robotics Service Bus to Robotics Systems Commons
- Category deleted (C++)

#6 - 11/14/2012 12:43 PM - J. Wienke
- Status changed from New to In Progress

According to this post:
http://stackoverflow.com/questions/11962219/unresolved-external-symbol-boostchronosystem-clocknowvoid
chrono is now a dependency for thread. As we are using thread in RSC, this issue belongs to RSC.

#7 - 11/14/2012 12:55 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsc|commit:5e6cf54a743a64dcf0e07a917940cfee5cf48ae3.
